Click or drag to resize
BrepRebuildTrimsForV2 Method
No support is available for this function.

Expert user function used by MakeValidForV2 to convert trim curves from one surface to its NURBS form. After calling this function, you need to change the surface of the face to a NurbsSurface.

Namespace: Rhino.Geometry
Assembly: RhinoCommon (in RhinoCommon.dll) Version: 5.1.50000.0 (5.0.20693.0)
Syntax
public void RebuildTrimsForV2(
	BrepFace face,
	NurbsSurface nurbsSurface
)

Parameters

face
Type: Rhino.GeometryBrepFace
Face whose underlying surface has a parameterization that is different from its NURBS form.
nurbsSurface
Type: Rhino.GeometryNurbsSurface
NURBS form of the face's underlying surface.
Remarks
Don't call this function unless you know exactly what you are doing.
See Also